const Glass = {
  'avatar_enabled': false,
  'avatar_size': '200px',
  'avatar_shape': 'circle',
  'date_enabled': true,
  'date_format': '<em>%A</em>, the <em>%o</em> of <em>%B</em>',
  'time_enabled': true,
  'time_format': '%H:%M',
  'hostname_enabled': true,
  'command_shutdown_enabled': true,
  'command_reboot_enabled': true,
  'command_hibernate_enabled': true,
  'command_sleep_enabled': true,
  'command_icons_enabled': true,
  'command_text_align': 'left',
  'style_command_background_color': 'hsla(0, 2%, 98%, 0.29)',
  'style_command_icon_color': 'hsl(182, 79%, 58%)',
  'style_command_text_color': 'hsla(0, 0%, 35%, 0.9)',
  'style_login_border_color': 'hsla(0, 0%, 0%, 0)',
  'style_login_border_enabled': false,
  'style_login_button_color': 'hsla(16, 96%, 11%, 0.88)',
  'style_login_gradient_top_color': 'hsla(0, 0%, 100%, 0)',
  'style_login_gradient_bottom_color': 'hsla(0, 0%, 100%, 0.32)',
  'style_login_username_color': 'hsla(0, 100%, 100%, 1)',
  'window_border_radius': '4px',
  'window_font_size': '1em'
};

const Default = {
  'avatar_enabled': false,
  'avatar_size': '200px',
  'avatar_shape': 'circle',
  'date_enabled': true,
  'date_format': '<em>%A</em>, the <em>%o</em> of <em>%B</em>',
  'time_enabled': true,
  'time_format': '%H:%M',
  'hostname_enabled': true,
  'command_shutdown_enabled': true,
  'command_reboot_enabled': true,
  'command_hibernate_enabled': true,
  'command_sleep_enabled': true,
  'command_icons_enabled': true,
  'command_text_align': 'left',
  'style_command_background_color': 'hsla(0, 0%, 22%, 1)',
  'style_command_icon_color': 'hsla(349, 98%, 65%, 1)',
  'style_command_text_color': 'hsla(0, 100%, 100%, 1)',
  'style_login_border_color': 'hsla(0, 100%, 100%, 0.1)',
  'style_login_border_enabled': true,
  'style_login_button_color': 'hsla(0, 100%, 100%, 0.22)',
  'style_login_gradient_top_color': 'hsla(18, 100%, 61%, 0.66)',
  'style_login_gradient_bottom_color': 'hsla(339, 94%, 64%, 1)',
  'style_login_username_color': 'hsla(0, 100%, 100%, 1)',
  'window_border_radius': '4px',
  'window_font_size': '1em'
};

const Arch = {
  'avatar_enabled': true,
  'avatar_size': '200px',
  'avatar_shape': 'circle',
  'date_enabled': true,
  'date_format': '<em>%A</em>, the <em>%o</em> of <em>%B</em>',
  'time_enabled': true,
  'time_format': '%H:%M',
  'hostname_enabled': true,
  'command_shutdown_enabled': true,
  'command_reboot_enabled': true,
  'command_hibernate_enabled': true,
  'command_sleep_enabled': true,
  'command_icons_enabled': true,
  'command_text_align': 'left',
  'style_command_background_color': 'hsl(201, 48%, 15%)',
  'style_command_icon_color': 'hsl(199, 66%, 65%)',
  'style_command_text_color': 'hsl(0, 100%, 96%)',
  'style_login_border_color': 'hsla(0, 100%, 50%, 0.1)',
  'style_login_border_enabled': false,
  'style_login_button_color': 'hsla(0, 0%, 0%, 0)',
  'style_login_gradient_top_color': 'hsl(32, 76%, 76%)',
  'style_login_gradient_bottom_color': 'hsl(193, 80%, 71%)',
  'style_login_username_color': 'hsla(0, 100%, 100%, 1)',
  'window_border_radius': '4px',
  'window_font_size': '1em'
};

const Capitan = {
  avatar_enabled: true,
  avatar_size: '200px',
  avatar_shape: 'circle',
  date_enabled: true,
  date_format: '<em>%A</em>, the <em>%o</em> of <em>%B</em>',
  time_enabled: true,
  time_format: '%H:%M',
  hostname_enabled: true,
  command_shutdown_enabled: true,
  command_reboot_enabled: true,
  command_hibernate_enabled: true,
  command_sleep_enabled: true,
  command_icons_enabled: false,
  command_text_align: 'center',
  style_command_background_color: 'hsla(236, 4%, 12%, 0.8)',
  style_command_icon_color: 'hsl(0, 0%, 0%)',
  style_command_text_color: 'hsl(0, 100%, 96%)',
  style_login_border_color: 'hsla(0, 100%, 50%, 0.1)',
  style_login_border_enabled: false,
  style_login_button_color: 'hsl(0, 0%, 0%)',
  style_login_gradient_top_color: 'hsla(0, 76%, 76%, 0.94)',
  style_login_gradient_bottom_color: 'hsl(193, 80%, 71%)',
  style_login_username_color: 'hsla(0, 100%, 100%, 1)',
  window_border_radius: '4px',
  window_font_size: '1em'
};


const Ember = {
  avatar_enabled: false,
  avatar_size: '200px',
  avatar_shape: 'circle',
  date_enabled: true,
  date_format: '<em>%A</em>, the <em>%o</em> of <em>%B</em>',
  time_enabled: true,
  time_format: '%H:%M',
  hostname_enabled: true,
  command_shutdown_enabled: true,
  command_reboot_enabled: true,
  command_hibernate_enabled: true,
  command_sleep_enabled: true,
  command_icons_enabled: true,
  command_text_align: 'left',
  style_command_background_color: 'hsl(0, 80%, 26%)',
  style_command_icon_color: 'hsl(13, 100%, 53%)',
  style_command_text_color: 'hsl(0, 0%, 100%)',
  style_login_border_color: 'hsla(46, 82%, 48%, 0.24)',
  style_login_border_enabled: true,
  style_login_button_color: 'hsla(0, 100%, 85%, 0.22)',
  style_login_gradient_top_color: 'hsl(14, 100%, 53%)',
  style_login_gradient_bottom_color: 'hsl(35, 95%, 56%)',
  style_login_username_color: 'hsla(0, 100%, 100%, 1)',
  window_border_radius: '4px',
  window_font_size: '1em'
};

const MaterialPink = {
  avatar_enabled: true,
  avatar_size: '200px',
  avatar_shape: 'circle',
  font_scale: '1',
  date_enabled: true,
  date_format: '<em>%A</em>, the <em>%o</em> of <em>%B</em>',
  time_enabled: true,
  time_format: '%H:%M',
  hostname_enabled: true,
  command_shutdown_enabled: true,
  command_reboot_enabled: true,
  command_hibernate_enabled: true,
  command_sleep_enabled: true,
  command_icons_enabled: true,
  command_text_align: 'left',
  style_command_background_color: 'hsl(336, 78%, 43%)',
  style_command_icon_color: 'hsl(340, 100%, 63%)',
  style_command_text_color: 'hsl(0, 0%, 100%)',
  style_login_border_color: 'hsla(0, 0%, 68%, 0.1)',
  style_login_border_enabled: true,
  style_login_button_color: 'hsla(0, 0%, 0%, 0.49)',
  style_login_gradient_top_color: 'hsl(340, 82%, 52%)',
  style_login_gradient_bottom_color: 'hsl(340, 82%, 52%)',
  style_login_username_color: 'hsla(0, 100%, 100%, 1)',
  window_border_radius: '4px',
  window_font_size: '1em'
};

const MaterialGreen = {
  avatar_enabled: true,
  avatar_size: '200px',
  avatar_shape: 'circle',
  font_scale: '1',
  date_enabled: true,
  date_format: '<em>%A</em>, the <em>%o</em> of <em>%B</em>',
  time_enabled: true,
  time_format: '%H:%M',
  hostname_enabled: true,
  command_shutdown_enabled: true,
  command_reboot_enabled: true,
  command_hibernate_enabled: true,
  command_sleep_enabled: true,
  command_icons_enabled: true,
  command_text_align: 'left',
  style_command_background_color: 'hsl(123, 43%, 39%)',
  style_command_icon_color: 'hsl(88, 50%, 53%)',
  style_command_text_color: 'hsl(0, 0%, 100%)',
  style_login_border_color: 'hsla(0, 0%, 68%, 0.1)',
  style_login_border_enabled: true,
  style_login_button_color: 'hsla(0, 0%, 0%, 0.49)',
  style_login_gradient_top_color: 'hsl(122, 39%, 49%)',
  style_login_gradient_bottom_color: 'hsl(122, 39%, 49%)',
  style_login_username_color: 'hsla(0, 100%, 100%, 1)',
  window_border_radius: '4px',
  window_font_size: '1em'
};

export const DefaultThemes = {
  Arch,
  Default,
  'El Capitan': Capitan,
  Glass,
  Ember,
  'Material Green': MaterialGreen,
  'Material Pink': MaterialPink
};

export default DefaultThemes;
